<?php 

class DaoClientes extends conexao {

public function Atualizar(clientes $clientes) {

try {

if ($clientes->getcli_id() != '') {

$sql = " UPDATE clientes SET
cli_nome = ?,
cli_imagem = ?,
cli_projeto = ?
WHERE cli_id = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $clientes->getCli_nome());
$stmt->bindValue(2, $clientes->getCli_imagem());
$stmt->bindValue(3, $clientes->getCli_projeto());
$stmt->bindValue(4, $clientes->getCli_id());


} else {

$sql = " INSERT INTO clientes (cli_nome,cli_imagem,cli_projeto)
VALUES (?,?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $clientes->getCli_nome());
$stmt->bindValue(2, $clientes->getCli_imagem());
$stmt->bindValue(3, $clientes->getCli_projeto());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function Pesquisarclientes($codigo){
$sql = " SELECT * FROM clientes WHERE cli_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function Listarclientes(){
$sql = " SELECT * FROM clientes ORDER BY cli_id ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}


	
public function deletar($cli_id){		
$sql = " DELETE FROM clientes WHERE cli_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $cli_id); 
$stmt->execute();
}

 
}
